Межсайтовый скриптинг в PHP iCalendar

Дата публикации:
05.01.2007
Всего просмотров:
1752
Опасность:
Низкая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP iCalendar 2.x
Уязвимые версии: PHP iCalendar 2.23rc1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "getdate" в сценариях phpicalendar/day.php, phpicalendar/week.php, phpicalendar/month.php, phpicalendar/year.php, phpicalendar/search.php, phpicalendar/preferences.php, phpicalendar/print.php и phpicalendar/rss/index.php, в параметре "cpath" в сценариях phpicalendar/day.php, phpicalendar/week.php, phpicalendar/month.php, phpicalendar/year.php и phpicalendar/search.php, и в параметре "query" в сценарии phpicalendar/search.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: phpicalendar.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: PHP icalendar multiple variable cross site scripting

или введите имя

CAPTCHA